Skip to main content
POST
https://api.dintero.com/v1/
/
accounts
/
{aid}
/
insight
/
reports
/
configuration
Create new insight report configuration
curl --request POST \
  --url https://api.dintero.com/v1/accounts/{aid}/insight/reports/configuration \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "dataType": "checkout/transactions",
  "schedule": "monthly",
  "language": "no"
}
'
{
  "dataType": "checkout/transactions",
  "schedule": "monthly",
  "language": "no",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "accountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z",
  "created_by": "1c92f7e1-2897-4d46-bdcc-c127a914fb4e",
  "reportFilters": [
    {
      "filter": "store_id",
      "value": "<string>"
    }
  ],
  "contentTypes": [
    "application/pdf"
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.dintero.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication (token authentication) should be used for accessing the API.

Use Get Token to get an access token for client credentials. Pass the token in the request header:

Authorization: Bearer {access_token}

where the access_token is JSON Web Tokens (JWT).

Path Parameters

aid
string<^[PT]{1}\d{8}$>
required

An id that uniquely identifies the account.

Required string length: 9

Body

application/json

Insight Report Configuration

dataType
enum<string>
required
Available options:
checkout/transactions
schedule
enum<string>
required

Schedule for the report, how often will the report be generated

Available options:
monthly,
weekly,
daily
language
enum<string>
required

Report Language

Available options:
no,
en
reportFilters
object[]

List of filters used to filter the data for the report. Similar to SQL WHERE-clause. i.e, WHERE filter=value

contentTypes
enum<string>[]

Content types for the report

Available options:
application/pdf,
text/csv

Response

Insight Report Configuration

dataType
enum<string>
required
Available options:
checkout/transactions
schedule
enum<string>
required

Schedule for the report, how often will the report be generated

Available options:
monthly,
weekly,
daily
language
enum<string>
required

Report Language

Available options:
no,
en
id
string<uuid>
read-only

An UUID that uniquely identifies the resource

accountId
string<uuid>
read-only

An id that uniquely identifies the account

created_at
string<date-time>
read-only

The date-time when the resource was created

created_by
string
read-only

The ID of the user/client that created the resource

Example:

"1c92f7e1-2897-4d46-bdcc-c127a914fb4e"

reportFilters
object[]

List of filters used to filter the data for the report. Similar to SQL WHERE-clause. i.e, WHERE filter=value

contentTypes
enum<string>[]

Content types for the report

Available options:
application/pdf,
text/csv